Subject: Re: bug#40121: 27.0.90; ERC incorrectly reuses single buffer for channels of same name on multiple networks

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 05 Aug 2020 11:14:18 +0200

Kevin Brubeck Unhammer <[email-masked]> writes:

> There's still a bug when there's two networks on the same server:port.
>
> But the fix is simple, just an `(and target …)` around the "Channel
> buffer" case, like
>
>                    ;; Channel buffer; check that it's from the right server.
>                    (and target
>                         (with-current-buffer (get-buffer candidate)
>                           (and (string= erc-session-server server)
>                                (erc-port-equal erc-session-port port))))
>
> I connect to several networks on the same server:port (my weechat
> instance). Without the `and target` check it'll reuse the server buffer
> from network1 when connecting to network2.

Ah, I see.  I didn't even know that was possible.  :-)

I've now applied your fix to Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no